MyBB.de Forum
Showthread Fehler nach Update auf 1.8.22 - Druckversion

+- MyBB.de Forum (https://www.mybb.de/forum)
+-- Forum: MyBB 1.8.x (https://www.mybb.de/forum/forum-87.html)
+--- Forum: Allgemeiner Support (https://www.mybb.de/forum/forum-88.html)
+--- Thema: Showthread Fehler nach Update auf 1.8.22 (/thread-37223.html)



Showthread Fehler nach Update auf 1.8.22 - lenox - 15.05.2020

Moin moin,

habe gerade das Update von 19 auf 22 gemacht und bekomme nun den Fehler
Code:
Parse error: syntax error, unexpected '' (T_ENCAPSED_AND_WHITESPACE), expecting '-' or identifier (T_STRING) or variable (T_VARIABLE) or number (T_NUM_STRING) in /homepages/8/d707489081/htdocs/showthread.php(1600) : eval()'d code on line 74
 angezeigt wenn man einen Beitrag anschauen möchte.

Kann mir da jemand weiter Helfen?


RE: Showthread Fehler nach Update auf 1.8.22 - Jockl - 15.05.2020

Hast Du nach dem Update die Templates aktualisiert?
Setze ggf. mal das Templage showthread zurück.....


RE: Showthread Fehler nach Update auf 1.8.22 - lenox - 15.05.2020

Danke hatte ein Fehler bei
Code:
{$thread['displayprefix']}{$thread['subject']}
drin.


RE: Showthread Fehler nach Update auf 1.8.22 - lenox - 15.05.2020

Ich hätte da noch ein Problem mit meinem xthreads Foren wo es Kategorien gibt wie hier https://angel-juenger.de/Forum-Video-Gallery , wenn man dann z. B. auf Sammelthreads klickt kommt
Code:
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:1054 - Unknown column 'tfd.ytvgalcat' in 'where clause'Query:SELECT COUNT(tid) AS threads FROM mybb_threads t WHERE fid = '99' AND (t.visible IN (1,-1,0)) AND (tfd.`ytvgalcat` LIKE "Nützliches")

Hab mal die Error Log Datei angehängt da die recht lang ist  Sad
Hat sich erledigt, wer das selbe Problem hat muss in inc/xthreads/xt_forumdhooks.php

Code:
$table == "threads"
 in 
Code:
($table == "threads" || $table == "threads t")

ändern.


RE: Showthread Fehler nach Update auf 1.8.22 - lenox - 18.05.2020

Ich habe da gerade noch einen  Problem entdeckt wo ich nicht weiter komme.

Es geht um den Editor beim Signatur bearbeiten, der wird da nur in der höhe von 40px angezeigt.

[attachment=12750]

Laut Konsole ist das ein Element Style, aber über welche Datei wird dieser wert generiert?
Hat sich auch erledigt, habe der global.css einfach die Klasse
Code:
.sceditor-container {
    min-height: 250px;
}

hinzugefügt.


RE: Showthread Fehler nach Update auf 1.8.22 - Jockl - 18.05.2020

In dem Thread wird aber auch alles in einen Topf geworfen...... Wink


RE: Showthread Fehler nach Update auf 1.8.22 - lenox - 18.05.2020

(18.05.2020, 06:31)Jockl schrieb: In dem Thread wird aber auch alles in einen Topf geworfen...... Wink

Ja ich wollte jetzt nicht für alles ein neuen Thread eröffnen  Big Grin , ich hätte da ein anderen Thread Titel nehmen sollen  Blush